

kerio.waw.ui.productInfo = {

x_m: function() {
var
x_6a = x_r.x_3s.x_1bf,
x_1b = kerio.lib,
x_x = x_1b.x_x,
x_1bg = '<div class="productImage">&nbsp;</div>',
x_1bh = '<span class="adminDownload" >'
+ '<a aclass="adminDownload" href="'+ x_6a +'">'
+ x_x('This administration console allows you to configure the most commonly used settings.', 'splashScreen')
+ '<br>'
+ x_x('Please download the Kerio Administration Console application to get full range of configuration options.', 'splashScreen')
+ '</a></span>',
x_1bi = '<a class="cfgExport" href="#" onclick="kerio.lib.x_5l.x_5m({x_5g: \'configurationExport\'});">'
+ x_x('Export Configuration…', 'configurationExport')
+ '</a>',
x_1bj = '<a class="cfgImport" href="#" onclick="kerio.lib.x_5l.x_5m({x_5g: \'configurationImport\'});">'
+ x_x('Import Configuration…', 'configurationImport')
+ '</a>',
x_1bk ='<table width="100%" height="100%">'
+ '<tr><td align="center" valign="center">'
+ '<div class="productInfo">'
+ x_1bg
+ ('string' === typeof x_6a ? x_1bh: '') + x_1bi
+ (kerio.waw.status.x_p.x_q === x_r.x_s.x_t ? '' : x_1bj)
+ '</div>' + '</td></tr>'
+ '</table>'
;
var x_1bl = {
x_1j: 'x_1bm',
x_1bk: x_1bk
};
var x_1bm = new kerio.lib.x_1bn(this.x_ga, x_1bl);
kerio.lib.x_6t.x_6u({
x_28: {
object: 'ProductInfoManager',
method: 'getWarnings'
},
x_2e: this.x_1bo,
x_2q: kerio.waw.ui.productInfo
});
return x_1bm;
}, 
x_1bo: function(x_6v) {
var
x_1bp = x_6v.x_ac.warnings,
x_28 = {
x_fk: 0,
x_1bp: x_1bp,
x_1n: x_1bp[0]
};
if (0 < x_1bp.length) {
this.x_1bq(x_28);
}
},

x_1bq: function(x_28) {
var
x_x = kerio.lib.x_x,
x_1br = x_r.x_1bs,
x_1n,
x_2j,
x_1v,    x_1bt; x_28.x_1n = x_28.x_1bp[x_28.x_fk].type;
switch (x_28.x_1n) {
case x_1br.x_1bu:
x_1n = x_x('Kerio WinRoute Firewall is configured for on demand dialing. However it has been detected that there are gateways configured on other interfaces than the one designed for dialing. Dialing on demand cannot be performed. Please review your TCP/IP configuration.', 'startupWarnings');
x_2j = x_x('Problem with Internet connectivity was detected!', 'startupWarnings');
x_1v = 275;
break;
case x_1br.x_1bv:
x_1n = x_x('Kerio WinRoute Firewall has detected that there are default gateways configured on other interfaces than those configured for Internet connection failover. This is often wrong as the default gateway should be typically left blank on any other interfaces. Please review your TCP/IP configuration.', 'startupWarnings');
x_2j = x_x('Wrong default gateways detected!', 'startupWarnings');
x_1v = 275;
break;
case x_1br.x_1bw:
x_1n = x_x('Kerio WinRoute Firewall has detected that there are default gateways configured on other interfaces than those configured for load balancing. This is often wrong as the default gateway should be typically left blank on any other interfaces. Please review your TCP/IP configuration.', 'startupWarnings');
x_2j = x_x('Wrong default gateways detected!', 'startupWarnings');
x_1v = 275;
break;
case x_1br.x_1bx:
x_1n = x_x('Kerio WinRoute Firewall has detected that multiple default gateways are configured on the machine. This is often wrong as the default gateway should be typically configured only on the interface that is connected to the Internet. On any other interfaces it should be left blank. Please review your TCP/IP configuration.', 'startupWarnings');
x_2j = x_x('Multiple default gateways detected!', 'startupWarnings');
x_1v = 275;
break;
case x_1br.x_1by:
x_1n = x_x('Unable to boot the new version. The previous version has been restored.', 'startupWarnings');
x_2j = x_x('Update of Kerio WinRoute Firewall has failed!', 'startupWarnings');
x_1bt = true;
break;
default:
x_1n = 'Server reports a problem for which there is no message available.<br>Internal warning code is: ' + x_28.x_1n;
x_2j = 'No description available!';
x_1bt = true;
}
kerio.lib.x_5l.x_5m({
x_5g: 'alertWithCheckbox',
x_28: {
x_1n: x_1n,
x_2l: !x_1bt,
x_2j: x_2j,
x_2n: {x_1v: x_1v},
x_2e: this.x_1bz,
x_2s: x_28,
x_2q: this
}
});
},

x_1bz: function(x_28, x_1r) {
if (x_1r) {
kerio.lib.x_6t.x_6u({
x_28: {
object: 'ProductInfoManager',
method: 'disableWarning',
params: kerio.lib.x_6r({type: x_28.x_1n})
},
x_2e: x_fi.x_gu });
}
x_28.x_fk = x_28.x_fk + 1;
if (x_28.x_fk < x_28.x_1bp.length) {
this.x_1bq(x_28);
}
}
}; 